{
    "files.trimTrailingWhitespace": true,
    "json.maxItemsComputed": 50000000,
    "editor.maxTokenizationLineLength": 50000000,
    "files.associations": {
      "*.tcc": "cpp",
      "functional": "cpp",
      "condition_variable": "cpp",
      "bitset": "cpp",
      "array": "cpp",
      "string_view": "cpp",
      "initializer_list": "cpp",
      "regex": "cpp",
      "utility": "cpp",
      "valarray": "cpp",
      "map": "cpp",
      "cctype": "cpp",
      "clocale": "cpp",
      "cmath": "cpp",
      "csetjmp": "cpp",
      "csignal": "cpp",
      "cstdarg": "cpp",
      "cstddef": "cpp",
      "cstdio": "cpp",
      "cstdlib": "cpp",
      "cstring": "cpp",
      "ctime": "cpp",
      "cwchar": "cpp",
      "cwctype": "cpp",
      "atomic": "cpp",
      "strstream": "cpp",
      "cfenv": "cpp",
      "chrono": "cpp",
      "cinttypes": "cpp",
      "codecvt": "cpp",
      "complex": "cpp",
      "cstdint": "cpp",
      "cuchar": "cpp",
      "deque": "cpp",
      "forward_list": "cpp",
      "list": "cpp",
      "unordered_map": "cpp",
      "unordered_set": "cpp",
      "vector": "cpp",
      "exception": "cpp",
      "algorithm": "cpp",
      "any": "cpp",
      "filesystem": "cpp",
      "iterator": "cpp",
      "memory": "cpp",
      "memory_resource": "cpp",
      "numeric": "cpp",
      "optional": "cpp",
      "random": "cpp",
      "ratio": "cpp",
      "set": "cpp",
      "string": "cpp",
      "system_error": "cpp",
      "tuple": "cpp",
      "type_traits": "cpp",
      "fstream": "cpp",
      "future": "cpp",
      "iomanip": "cpp",
      "iosfwd": "cpp",
      "iostream": "cpp",
      "istream": "cpp",
      "limits": "cpp",
      "mutex": "cpp",
      "new": "cpp",
      "ostream": "cpp",
      "scoped_allocator": "cpp",
      "shared_mutex": "cpp",
      "sstream": "cpp",
      "stdexcept": "cpp",
      "streambuf": "cpp",
      "thread": "cpp",
      "typeindex": "cpp",
      "typeinfo": "cpp",
      "variant": "cpp",
      "cerrno": "cpp",
      "errno.h": "c"
    },
    "search.exclude": {
        "**/.git": true,
        "**/node_modules": true,
        "**/Tmp": true
    },
}